Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Twoway_Asynch_Invocation Class Reference

Sends a two-way request does not expect the reply. This class connects (or lookups a connection from the cache) to the remote server, builds the CDR stream for the Request, send the CDR stream and returns. More...

`#include <Asynch_Invocation.h>`

Inheritance diagram for TAO_GIOP_Twoway_Asynch_Invocation:

[legend]
Collaboration diagram for TAO_GIOP_Twoway_Asynch_Invocation:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Twoway_Asynch_Invocation (TAO_Stub *stub, const char *operation, CORBA::ULong opname_len_, CORBA::Boolean argument_flag, TAO_ORB_Core *orb_core, const TAO_Reply_Handler_Skeleton &reply_handler_skel, Messaging::ReplyHandler_ptr reply_handler_ptr)
| Constructor. More...
## Protected Methods
virtual int | invoke_i (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Implementation of the invoke() methods, handles the basic send/reply code and the system exceptions. More...

## Detailed Description

Sends a two-way request does not expect the reply. This class connects (or lookups a connection from the cache) to the remote server, builds the CDR stream for the Request, send the CDR stream and returns.

## Constructor & Destructor Documentation

TAO_GIOP_Twoway_Asynch_Invocation::TAO_GIOP_Twoway_Asynch_Invocation | ( | TAO_Stub * | stub,
|  | const char * | operation,
|  | CORBA::ULong | opname_len_,
|  | CORBA::Boolean | argument_flag,
|  | TAO_ORB_Core * | orb_core,
|  | const TAO_Reply_Handler_Skeleton & | reply_handler_skel,
|  | Messaging::ReplyHandler_ptr | reply_handler_ptr
| ) |

| Constructor.

## Member Function Documentation

int TAO_GIOP_Twoway_Asynch_Invocation::invoke_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[protected, virtual]`

| Implementation of the invoke() methods, handles the basic send/reply code and the system exceptions. Reimplemented from TAO_GIOP_Asynch_Invocation.

The documentation for this class was generated from the following files:

- Asynch_Invocation.h
- Asynch_Invocation.cpp